More Dart — Literally
=====================

[![Pub Package](https://img.shields.io/pub/v/more.svg)](https://pub.dartlang.org/packages/more)
[![Build Status](https://travis-ci.org/renggli/dart-more.svg)](https://travis-ci.org/renggli/dart-more)
[![Coverage Status](https://coveralls.io/repos/renggli/dart-more/badge.svg)](https://coveralls.io/r/renggli/dart-more)
[![Github Issues](http://githubbadges.herokuapp.com/renggli/dart-more/issues.svg)](https://github.com/renggli/dart-more/issues)

Various extensions that make Dart a better place:

- `bit_list.dart` is a space efficient list storing boolean values.
- `char_matcher.dart` is a model for character classes, their composition and operations on strings.
- `fraction.dart` provides exact rational number arithmetic.
- `int_math.dart` is a collection of common mathematical functions on integers.
- `iterable.dart` is a collection of iterables and iterators.
- `multiset.data` a data structure where elements might appear more than once.
- `ordering.dart` a fluent interface for building comparator functions.
- `range.dart` is a function to create lists of arithmetic progressions.

And there are more to come ...

This library is open source, stable and well tested. Development happens on [GitHub](https://github.com/renggli/dart-more). Feel free to report issues or create a pull-request there. General questions are best asked on [StackOverflow](http://stackoverflow.com/questions/tagged/more+dart).

Up-to-date [class documentation](http://www.dartdocs.org/documentation/more/latest/index.html) is created with every release.


Misc
----

### History

This library started in April 2013 as I was working through the puzzles of [Project Euler](https://projecteuler.net/) and encountered some missing features in Dart. Over time the library grew and became _more_ useful in many other places, so I created this reusable library.

### License

The MIT License, see [LICENSE](https://github.com/renggli/dart-more/raw/master/LICENSE).
